summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-04-20 22:43:44 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2019-04-21 13:30:57 +0200
commitf9795d7913848b507acc9b7385cfd19725b71445 (patch)
tree76b6dc32684e0cf3a04130fe1f6d1a985459beac /dev-qt/qtlocation
parentsys-apps/fwupd: Add USE consolekit (diff)
downloadgentoo-f9795d7913848b507acc9b7385cfd19725b71445.tar.gz
gentoo-f9795d7913848b507acc9b7385cfd19725b71445.tar.bz2
gentoo-f9795d7913848b507acc9b7385cfd19725b71445.zip
dev-qt: Add Qt 5.12.3
Package-Manager: Portage-2.3.64, Repoman-2.3.12 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'dev-qt/qtlocation')
-rw-r--r--dev-qt/qtlocation/Manifest1
-rw-r--r--dev-qt/qtlocation/qtlocation-5.12.3.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/dev-qt/qtlocation/Manifest b/dev-qt/qtlocation/Manifest
index 98c5c3d527a..b956b44da41 100644
--- a/dev-qt/qtlocation/Manifest
+++ b/dev-qt/qtlocation/Manifest
@@ -1,2 +1,3 @@
DIST qtlocation-everywhere-src-5.11.3.tar.xz 5589440 BLAKE2B 544d90151fcbaf8a75d374e4acec9bbd78b63c2dee0258f1e08e18ffb94a86c91f63dd8c9215af96e3648d50a40fe6b66c105abec0ab6dd4473903a06f2d0253 SHA512 880cd6983bc0b4c5ac5a1edb2b3ffbe89f133bd819e4bea4fb8e91ba8d847ab80572743e3994145ee6697cb2fc24c393ac3c4ead847a022d848799eaa4982716
DIST qtlocation-everywhere-src-5.12.2.tar.xz 5907108 BLAKE2B 3016921c6817414950ac3901252606cac844a385a604c46ee383817ef36d95c20641020dbc0c85d9dc2f647c18666aed3b51b5d55d003fe043377268734ab0c8 SHA512 1809c81cf6a916a8312ea449c178ec91f939d1bfc3bb21f3a1bd977a2be37fade1cf35bbe9253a8e6b8f4354cbdefcb67c071ff620254d5e95b9e35f7830eb79
+DIST qtlocation-everywhere-src-5.12.3.tar.xz 5905856 BLAKE2B b52b9eaea77b4b429db90768d97c7f4d1319c7a860e864acb5afc5c35c0b2c7425afe64909751b2063bad747fe3aa6d899b39532a72065d4cd87935219a196f1 SHA512 91b21e5bc78b960f15c60ae02827cd35292ab1a5dd5a47488d25ce6758177f0ce15545aef3ff9bd1456c6fd84f65cb74d385b726239e2f0be66de0f6fb9a7082
diff --git a/dev-qt/qtlocation/qtlocation-5.12.3.ebuild b/dev-qt/qtlocation/qtlocation-5.12.3.ebuild
new file mode 100644
index 00000000000..25dc50ab101
--- /dev/null
+++ b/dev-qt/qtlocation/qtlocation-5.12.3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Location (places, maps, navigation) library for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+IUSE=""
+
+RDEPEND="
+ ~dev-qt/qtcore-${PV}
+ ~dev-qt/qtdeclarative-${PV}
+ ~dev-qt/qtgui-${PV}
+ ~dev-qt/qtnetwork-${PV}
+ ~dev-qt/qtpositioning-${PV}[qml]
+ ~dev-qt/qtsql-${PV}
+ sys-libs/zlib
+"
+DEPEND="${RDEPEND}
+ ~dev-qt/qtconcurrent-${PV}
+"
+
+QT5_TARGET_SUBDIRS=(
+ src/3rdparty/clipper
+ src/3rdparty/poly2tri
+ src/3rdparty/clip2tri
+ src/3rdparty/mapbox-gl-native
+ src/location
+ src/imports/location
+ src/plugins/geoservices
+)
+
+src_configure() {
+ # src/plugins/geoservices requires files that are only generated when
+ # qmake is run in the root directory. Bug 633776.
+ mkdir -p "${QT5_BUILD_DIR}" || die
+ qt5_qmake "${QT_BUILD_DIR}"
+ qt5-build_src_configure
+}